.m-multi-choice-mc10 {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    position: relative;
    .box-wrapper{
        flex: none !important;
        // width: 280px !important;
        // height: 280px !important;
        & > div{
            flex: none;
            width: 100%;
        }
        audio{
            transform: scale(0.9);
            width: 100%;
        }
    }

    tbody tr td.error {
        &.input-placeholder {
            border: 0 !important;
        }
        position: relative;
        &::after {
            content: ' ';
            position: absolute;
            inset: 0;
            border: 1px solid #dd3a09;
            pointer-events: none;
            border-radius: 8px;
        }
    }
  
    .question-table-mc10 {
        width: 100%;
        padding: 0 1rem 1.6rem 1rem;
        // font-family: 'Montserrat Regular';
        &-table {
            width: 100%;
            border-radius: 8px;
            box-shadow: 0px 1px 4px rgb(115 132 152 / 20%);
            table-layout: fixed;
            background-color: white;
            overflow: hidden;
            > .table-thead {
                > .tr-mc10 {
                    background-color: #5cb9d8;
                    > .th-mc10 {
                        color: #ffffff;
                        font-size: 1.4rem;
                        font-weight: 400;
                        padding: 11px;
                        &:nth-child(1) {
                            width: 9rem;
                            min-width: 9rem;
                            text-align: center;
                        }
                        &:nth-child(2) {
                            width: 20rem;
                            min-width: 20rem;
                            text-align: left;
                        }
                        &:nth-child(3) {
                            width: auto;
                            text-align: left;
                        }
                    }
                }
            }
    
            > .table-tbody {
            > .tr-mc10 {
                margin-bottom: 1rem;
                border-bottom: 1px solid #ccc;
                > .td-mc10 {
                    padding: 12px;
                    min-height: 60px;
                    position: relative;
                    &:nth-child(3) {
                        padding: 12px 18px 12px 12px;
                    }
                    .rs-toggle {
                        .rs-toggle-presentation {
                        background: #67ab8d;
                        min-width: 80px;
                        }
                    }
                    .rs-toggle-checked {
                        .rs-toggle-presentation {
                        background: #f8c116 !important;
                        }
                    }
                    .toggle-error {
                        .rs-toggle-presentation {
                        box-shadow: 0 0 0 0.15rem #dd3a09;
                        }
                    }
        
                    &:nth-child(1) {
                        width: 9rem;
                        min-width: 9rem;
                        text-align: center;
                        .toggle-switch {
                            display: flex;
                            justify-content: center;
                            position: absolute;
                            top: 110px;
                            right: 0;
                            left: 0;
                        }
                    }
                    &:nth-child(2) {
                        width: 20rem;
                        min-width: 20rem;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        flex: 1;
                        flex-direction: row;
                    }
        
                    .image-input-mc10 {
                        width: 100%;
                        margin-top: 1rem;
                        .box-image-input-mc10 {
                            display: flex;
                            flex-direction: column;
                            height: 21rem;
                            justify-content: center;
                            align-items: center;
                            background: #fff;
                            border-radius: 0.8rem;
                            border: 0.1rem solid #d5dee8;
                            margin-bottom: 1.6rem;
                            cursor: pointer;
                            padding: 10px;
        
                            .image-section {
                                position: relative;
                                max-height: 100%;
                                max-width: 100%;
                                display: flex;
                                justify-content: center;
                                align-items: center;
            
                                .image-input-origin {
                                    max-width: 100%;
                                    max-height: 19rem;
                                    max-width: 15.6rem;
                                    display: flex;
                                    flex-direction: column;
                                    justify-content: center;
                                    align-items: center;
                                    position: relative;
                                    width: fit-content;
            
                                    > img.icon {
                                        width: 40px;
                                        height: 40px;
                                    }
            
                                    > img.image-upload {
                                        max-height: 19rem;
                                        max-width: 15.6rem;
                                        border-radius: 8px;
                                        height: auto;
                                    }
            
                                    > img.image-delete-icon {
                                        max-width: 20px;
                                        max-height: 20px;
                                        position: absolute;
                                        top: -6px;
                                        right: -6px;
                                        cursor: pointer;
                                    }

                                    > div{
                                        justify-content: space-around !important;
                                    }
                                }
                            }
            
                            &.error {
                                border-color: #dd3a09;
                            }
                        }
                    }
        
                    .form-input-stretch {
                        width: 100%;
                        margin-left: 0;
                        margin-right: 0;
                        margin-bottom: 1.6rem;
                        margin-top: 1rem;
                        .box-action-info {
                            .clear-outline {
                                background: #fff;
                            }
                        }
                        .error {
                            border-color: #dd3a09;
                        }
                        .question-table {
                            thead {
                                tr {
                                    th {
                                        &:nth-child(2) {
                                        text-align: left;
                                        }
                                    }
                                }
                            }
                            tr {
                                position: relative;
                                th {
                                    &:first-child {
                                        width: 110px;
                                    }
                                    &:nth-child(3) {
                                        width: 80px;
                                    }
                                }
                                .td-delete-answer {
                                    position: relative;
                                    .ic-action {
                                        right: 0;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            .ic-action {
                height: 15px;
                width: 14px;
                cursor: pointer;
                margin: 0 1.4rem;
                position: absolute;
                top: 1rem;
                right: -1rem;
            }
            }
            .add-new-answer {
                padding: 1rem 0.5rem;
                &.error {
                    border: 1px solid #dd3a09;
                    border-radius: 8px;
                }
            }
        }
    }
    .render_error {
        margin-left: 1rem;
        display: flex;
        flex-direction: column;
        padding-bottom: 0.7rem;
        span {
            color: #ff0018;
            font-weight: 400;
            font-size: 1.2rem;
            padding-left: 2rem;
            padding-bottom: 1.5rem;
            padding-bottom: 0.8rem;
        }
    }
    .btn-add-new-question {
        &.error {
            border: 1px solid #dd3a09;
            border-radius: 8px;
        }
    }
}
  